@LManual Maker (ver. 2.25)
@Rby Craig W. Daymon




@B@CThe@C@N
@S@U@COfficial@C@U@S@N
@CDocumentation@C@N
@Cfor@C@N
@CMANUAL MAKER@C@N
@C(version 2.25)@C@N
@C(c) 1988, 1989@C

@S@Cby@C@S@N
@CCraig W. Daymon@C@N
@C(4/7/89)@C@B@N
@P
@U@BIntroduction@U:@B

    The main purpose of this program is to make manual size print-outs
from ASCII (plain text) files using GDOS (or G+PLUS), GDOS fonts and
printer drivers.

    @BFeatures:@B
        -   Justified or Unjustified print-outs
        -   Designate number to start page-numbering with
        -   Separate Left and Right page headers
        -   Up to 1000 (manual) page document capacity
        -   Prints to both sides of paper
        -   Tabs STOPs every 4 to 20 spaces, as indicated
        -   Printer paper alignment test
        -   Imbedded commands for:
            -   Center text
            -   @BBOLD@B text
            -   @UUnderlined@U text
            -   @SSkewed @Stext
            -   Force a Page-Break
            -   Set an indentation value.
            *Any combination of commands supported
            -   Setting Page headers
        -   Headers and Page numbers printable with effects
        -   Text to preceed page number
        -   Cover printing with:
            -   4 - 25 character lines of text
            -   A different font/line
            -   Text effects, different for each line
            -   Choice of 6 Border Patterns or None at all
        -   On-screen preview using GDOS fonts if available
        -   Installable application (See ST manual for help)
        -   Flexible page sizing

    *GDOS permits the doubling of 'TRUE' font sizes.  The use of these fonts
is not permitted by many GDOS applications to insure that all print-outs
are as clean as possible.  The doubled fonts tend to be 'blocky'
(especially in the larger sizes).  MANUAL MAKER makes no distinction between
'doubled' fonts and actual fonts.  So, for the cleanest print-outs, know
what font sizes you have available.

@C*******************************@C

    *This file, MANUAL.MAN, can be run through the program.  It contains
embedded commands to enhance the appearance of the output manual.  It is
also provided as an example of how to use the embedded commands.

@C*******************************@C

@U@BA close look at @SMANUAL MAKER@S@U:@B

    The first thing you will see is a dialog giving a brief overview of the
program, my name and address, etc.  It will remain visible while the fonts
and drivers are loading.

    Following this, the @S'Status'@S dialog will appear on the screen.  This
dialog is @BNOT@B operational, it mearly shows the current state of most
of the program options and will be present whenever one of the program
options is not in use.

    All the major functions of Manual Maker are accessible from the four
drop-down menus.  (All versions prior to 2.00 were operated by a set
sequence of dialogs.)  By using a menu-driven system, the user can
access wordprocessor style accessories to modify and resave the manual files
to be previewed, and then printed from Manual Maker.  Also, hopefully in the
future there will be accessories to convert popular wordprocessor
files to Manual Maker format.

@U@B@CThe MENUS@C@U@B

@BMenu #1, @UDESK@U:@B

    This is the standard left-most menu found in most GEM programs.  Under
here you will find a selection titled "Manual Maker 2.25" and any accessories
you have loaded.

 @BManual Maker 2.25:@B

    Choosing this menu selection will display the same dialog that appeared
on the screen while the GDOS fonts were being loaded.  Hit the 'RETURN' key
or click on the dialog with the mouse to clear the dialog from the screen.

@BMenu #2, @UFILE@U:@B

    Under FILE you will find four possible menu selections from which you can
choose the file to make into a manual, load or save a paper configuration
file or Quit Manual Maker.

 @BSelect A File...:@B

    This menu selection will bring up the GEM File Selector from which you
can select the file that will be used to make the manual.  After selecting
a file, the name of the file will appear in the status dialog.  Once selected,
you should NOT remove the disk containing the file until you have finished.
If you have used Manual Maker as an 'Installed Application', it would not
be necessary to select a file.  The name of the manual file should already
appear in the status dialog.  (See your ST manual for details on 'Installing
an Application'.)

 @BLoad Paper Config...:@B

    'Load Paper Config...' will display the GEM file selector from which
you can choose a paper configuration file.  (These files will be explained
in more detail shortly.)  Paper configuration files will most likely end
with the 3-character extender, "CNF".  Either choose a configuration file
or cancel.  Choosing a file that is not a configuration file will most
likely crash the program.

 @BSave Paper Config...:@B

    'Save Paper Config...' will also display the GEM file selector from
which you can choose a name and directory to save the currently active paper
configuration.  If the configuration is saved in the 'HOME' directory of
the Manual Maker program with the name @B"MANUAL.CNF"@B, it will be loaded
as the default configuration when you run Manual Maker.  The 3-character
extension, "CNF" is suggested to distinguish paper configuration files from
other files.

 @BQUIT Manual Maker:@B

    I think this one is pretty obvious.  Before leaving, a dialog will
be displayed telling future plans, my address, etc.  Hit the 'RETURN' key
or click on the dialog with the mouse to continue.  There is no turning back
once you have chosen to quit.

@BMenu #3, @UOPTIONS@U:@B

    Under OPTIONS you will find all the options related to printing or
previewing.  From here you can choose your Main Font, Page Alignment (Paper
configuration editing), Header and Page numbering options, general Print
and Preview options and you can also choose to create a cover with all
the cover options.

 @BMain Font Selection...:@B

    This menu selection will present the font selection dialog from which
you can choose the 'printer' font to be used to print the manual.
The names and sizes are selectable, but there is @SNO @Sdisplay of how
the font will look.  Since GDOS and the
needed fonts and printer drivers must come from another application,
it is assumed that you are already familiar with how the fonts look.  It
should be remembered that you are setting a @B@SPrinter@S@B font and not
necessarily a screen font.  The screen font does not have to be present
for Manual Maker to create a manual or even to preview.  If you
have set your ASSIGN.SYS file to allow screen fonts and there is a match
to the chosen printer font, that font will be used by the preview function
and you can see the font from there.

 @BPage Alignment/Config...:@B

    From the dialog presented by choosing this menu selection you can edit
the 'Paper Configuration' mentioned under the @BFILE@B menu.  The possible
values are described in boxes on the right side of the dialog.  On the right
end of the title bar is a small button labeled 'HELP'.  Clicking on this
button will display a large dialog that will visually show how Manual Maker
makes use of the configuration values with respect to the paper.  Click on
the dialog or hit the 'RETURN' key to go back to the Alignment/Configuration
dialog.  From this main dialog, it is also possible to load or save a paper
configuration file.  All the same conditions hold true here as were stated
with respect to the similar selections under the @BFILE@B menu.

    One very important option available from this dialog is the ability
to execute a @SPrinter Alignment Test.@S  This will help you decide how your
paper should be aligned in your printer by printing a test pattern.  Adjust
the configuration values until the test pattern prints centered top to bottom
on the paper. (This mainly means an adjustment to the 'Top-of-Sheet' offset.)

@B@C***   !! IMPORTANT !!   ***@C@B

	WHEN USING THE PRINTER ALIGNMENT TEST, IT IS VERY IMPORTANT THAT
THE PRINT-OUT APPEARS CENTERED TOP TO BOTTOM ON THE PAPER!!  THIS
HELPS TO INSURE PROPER ALIGNMENT OF THE SECOND SIDE WITH THE FIRST.

(In other words, the 'FOLD-LINE' should appear in the center of
the paper when the paper is folded in half.)

@B@C***   !! IMPORTANT !!   ***@C@B

  If an inappropriate value is entered,
a dialog will appear containing the equations for maximum and minimum
values in larger text than that in the small boxes on the right side of
the main dialog.  If not within the specified ranges, this dialog will
appear when you try to save, exit or print the alignment test.  Hit the return or 'click'
on this dialog with the mouse to return to the page configuration dialog.

 @BHeaders & Page Numbering...:@B

    This menu selection presents a dialog from which you can enter text
to be used for the left and right page headers.  Up to 40 characters can
be entered for each header as well as setting the alignment of the header.
The default is for the left header to be "Left" aligned and the right header
to be "Right" aligned.  The alignment options are [L]eft, [C]enter and
[R]ight.

  @Uexample@U:
    Left header : MANUAL MAKER_________
    Right header: by Craig W. Daymon_______

**Note that there are embedded commands that can be used to set the left
and right page headers from the manual file.  These embedded commands will
override any text entered for headers in this dialog.

  You can also enter the value to be used for the first page of the manual
printed and up to 10 characters of text preceeding the page number.  Setting
this value to something other than one allows you to break up a large manual
into sections or 'chapters' and start the pages of each section with the
page number one greater than the last page of the preceeding section.  If this
field is cleared, NO page numbers will be printed.  The text preceeding the
page number will be printed right against the page number.  So if you want
a space to separate the text and page number, make sure you enter a space
as the last character of the text string.

    The effects that are settable for the headers and page numbering are
[B]old, [S]kewed, [O]utlined and [U]nderlined.  Click on the appropriate
buttons to select the desired effects.  These effects will be used when
printing and when previewing the manual.

 @BPrint/Preview Options...:@B

    From this menu selection, you will see a dialog from which you can set
the general options to be used for printing and previewing.

    TAB Stops:
        Set TAB stops to occur every 4 to 20 spaces.
        *Using a setting of 8 or more insures better
         alignment of columns.

    Copies:
        Up to 99 copies can be printed.

    PRINT Quality:
        Draft GDOS printing is available if you are
        using a printer driver that supports it, such
        as those currently supplied with WordUp from
        Neocept, Inc.  Default is Final Quality.

    Justify Text:
        Text can be printed using
        WORD Justification,
        CHARACTER Justification,
        a combination of both
        or Un-Justified.

    Pages to Print:
        Default is to print All manual pages.
        Choosing RANGE will display fields where
        you can enter a First and Last page of
        a range of pages to print.

 @BCover Creation/Options...:@B

    The dialog presented by this menu selection supplies options to create
from 1 to 99 manual covers consisting of 4 lines of up to 25 characters
each.  The lines will be printed so they appear centered on the cover.  You can use
a different font for each line.  A font MUST be selected if the line is to be
printed.  If a font is NOT selected, that line and @SALL LINES FOLLOWING @Sit
will not be printed.  A blank line may be inserted by selecting a font for a line
with no text.  The font selector is the same as that used for the 'Main Text'
font.  After all fonts are selected and the text inserted, you can
send the cover to the printer.  *The paper should be aligned accordingly.  It
is also possible to choose any combination of the 4 text effects,
[B]old, [S]kewed, [O]utlined and [U]nderlined for each of the 4 lines of text.

    By clicking on the box that says, "Border: NONE", a dialog will be
displayed that shows 6 different border styles that can be used when printing
the cover.  Clicking on the desired style will return you to the main
cover creation dialog.  The text of the border box will now indicate the
border style you selected.  You can print as many covers as you want before
continuing with the program.

@BMenu #4, @UOUTPUT@U:@B

    From the OUTPUT menu, you can select to PRINT or PREVIEW the manual.  Choosing
either selection will begin with the display of what is intended to be a
closed book.  This is displayed while the program reads through the manual
file, preparing to PRINT or PREVIEW the manual.

    **One particular error that could occur while the program prepares to
print or preview is that a string of characters is encountered containing no
spaces that, if printed, would create a line longer than a manual page is wide.  In
versions prior to 2.10, this would cause the program to reread the line
over and over.  Now, if this happens, an alert is displayed showing the
first 20 characters of the character string and requesting you
to choose a smaller font or edit the file.  It will then abort the print
or preview operation. (Version 2.20 is the first to show characters from
the offending string.)

 @BPRINT the Manual...:@B

    After the program has prepared to print and the 'closed book' has been cleared
from the screen, the program will immediately follow with the printing of the
manual.  A dialog will be displayed showing the current pages printing.  This
dialog is intended to look like an open book. <Neat> The order of
printing is not a sequential one.  The first pages printed will be those
at the middle of the manual or indicated range, with the right side increasing
and the left decreasing.

    When the printing of the first side has finished, you will be prompted
to flip the paper for the printing of the second side.  If using a dot-matrix
printer, it is adviseable to form-feed an extra sheet for alignment of the
top-of-form for the second side.  The paper will be going through the
printer in the reverse order it went through for the first side.  (The
last sheet printed will be the back of the first sheet printed for the
second side.)  The text for the second side is printed with the same text
rotation as the first side.  Remember the way the first side printed and,
looking through the paper, the tops of the characters already printed
should be facing the same side of the printer they did when printed.
(This should be the right-hand side for dot-matrix printers.)

    Now that the paper is in the printer correctly, use that extra sheet
of paper you form-fed at the end of the first side printing to align the
top-of-form for the first sheet as you did before printing the first side.
(Sorry, no more alignment options.  Memory should be good enough.)
Turn the printer back on and hit the carriage return or click on the
dialog to begin printing the second side.  (This paragraph is
for @Bdot-matrix@B users.)

    (For @Blaser printers@B...)  Your only real concern is reordering the
sheets so that the last sheet out is the first sheet in, with the opposite
side up that was up going through the first time.  Again, looking through
the paper, the tops of the characters should be aligned with the same
side of the laser.  Best bet is to experiment with a small document.
Hit the return or click on the dialog to start printing the second side.

    You will see the same dialog as before with the right hand side increasing
and the left decreasing.

 @BPREVIEW the Manual...:@B

    Although this is the second menu selection under OUTPUT, you will
probably be apt to use PREVIEW before printing your manuals.  Following the
closed book display, PREVIEW will begin to display the manual a screen at
a time in sequential order.  It will start with the beginning of the indicated
range.  Headers and page numbers will be displayed with the same effects
as will be used when printing.  Also any embedded commands affecting the
text style will alter the displayed text.  If a matching GDOS display font style
and size to the chosen printer font is found, a "very nearly" WYSIWYG
display will be generated.  Otherwise, the system font is used.  When the
system font is used, headers will always be displayed in the center of the
display and the text will be unjustified.  You can still use it to see
how your embedded commands will affect the text style and also to see where
the page breaks will occur.  (This is the main purpose of PREVIEW.)

    After a screen's worth of the manual has been displayed or the end of
a page has been reached, buttons will appear at the bottom of the screen
allowing you to got to the [Next Screen], the [Previous Page] or [QUIT Preview].
Going to the next screen is the default and will be executed if the 'RETURN'
key is hit or the [Next Screen] button is clicked-on and, also if [Previous Page]
is selected while still viewing the first page of the indicated range.


@B@UImbedded Commands:@B@U

    There are 3 basic types of embedded commands currently supported.

    1) Those that, once active, process input until a new-line
       is encountered.

    2) Those that execute immediately upon being activated,
       taking no more input.

    3) Those that work in a paired fashion, to mark a range
       of text to be effected.

Examples can be found throughout this file.

  All embedded commands begin with
    an at-sign, @, followed by:

        'B' : (Type 3)

@B-To mark BOLD text.@B

        'S' : (Type 3)

@S-To mark Skewed text.@S

        'U' : (Type 3)

@U-To mark Underlined text.@U

        'C' : (Type 3)

@C-To mark Centered text.@C

        'P' : (Type 2)

-To set a FORCED page-break.

        'N' : (Type 1)

-To set a FORCED new-line.

        'I' : (Type 1)

-To set an indentation value for the left margin.

        'L' : (Type 1)

-To set the Left-page header from within the file.

        'R' : (Type 1)

-To set the Right-page header from within the file.

@B@C***IMPORTANT NOTE FOR USING***@C@N
@C***IMBEDDED HEADERS***@C@B

    The embedded commands for headers ALWAYS begin the line, followed by
no more than 40 characters that will make up the header.  These two
commands are intended to be used as the first two lines of the text.
If used anywhere else in the text, unexpected results may be encountered.

    An indentation value can be up to TWO digits followed by a new-line.
This value is multiplied by the current font's character-cell width to be
used as a new left-margin value.  (A character-cell width is usually as
wide as the widest character in the current font.)  If the resulting margin
is wider than 3/4 of the page width, the margin is set to zero.  Use the
indent command with a value of zero to restore the original margin.

    *Once activated, centering expects the next embedded command received
to be a centering command also.  It then centers all text since the first
centering command.  Make sure any text to be centered has no other embedded
commands between the two centering commands marking the text and that the
text is not too long to fit on a line.

@B@UAdditional Comments:@B@U

    To force a new-line, start the next line with a TAB or space.  Otherwise,
end the line with the embedded command for a forced new-line.

    *New-lines are converted to SPACES unless followed by another new-line,
a space or a TAB.  Forced new-lines EXPECT to be followed immediately by
a normal new-line which WILL NOT be converted to a space because of the
forced new-line command.
 
@P
@B@USend All Comments/Suggestions/Complaints to:@U
@I5
Craig W. Daymon@N
33 Chestnut Valley Drive@N
Doylestown, PA@N
18901-2216

[ GEnie Address: C.DAYMON ]

(215) 345-0789 after 6PM EST

*** $15 Donation requested. ***

$5 from every $15 or more donation@N
will be sent to the@N
American Diabetes Assoc.@B@I0

    I will be releasing all updates through the GEnie information service.
On the GEnie Roundtable, there is a TOPic for@S Manual Maker @Sin
CATegory #2.  This program @S@Uis@U @Sshareware.  If you use it and don't
contribute, don't complain when there are no more updates.

    This version would have never come to be had it not been for the letters
and contributions I received from the last version.  Many thanks to those
who have contributed.  The letters have contributed to this version as much,
if not more so than the donations.

    I will be keeping a database of all those who have written with
suggestions,comments, complaints and donations.  Those who are registered
users (those who have donated) will be notified when new versions are
released.

    If you have used this program in some interesting way, I'd really like
to see a copy.  Things like catalogs, user-group newsletters, etc.
@P
G+PLUS is a complete replacement for GDOS from:
@I5
CodeHead Software@N
P.O. Box 4336@N
N. Hollywood, CA@N
91607@I0

...and a trademark there of.

*G+PLUS comes@S @Uhighly@U @Sreccommended for improving the performance
of any GDOS application.

GEM & GDOS are registered trademarks of Digital Research, Inc.

    @UIn the future@U...

        PostScript?
        Graphics (Full & 1/2 page)
        Horizontal line drawing
        Cover design utility (more flexibility)
        Accessory to convert wordprocessor files


    A very special thanks to Milt Creighton for his very kind review of
Manual Maker 1.0 in the November '88 issue of Current Notes.  It was a
major reason that version 2.0 came into being.

    **Don't forget to include suggestions and comments with your donation.  This
is your chance to offer input as to what you'd like to see added or changed.

